<?php
/**
 * Footer template part.
 *
 * 🚫🚫🚫
 * DO NOT EDIT THIS FILE WHILE INSIDE THE PLUGIN! Changes You make will be lost when a new version
 * of the AMP plugin is released. You need to copy this file out of the plugin and put it into your
 * custom theme, for example. To learn about how to customize these Reader-mode AMP templates, please
 * see: https://amp-wp.org/documentation/how-the-plugin-works/classic-templates/
 * 🚫🚫🚫
 *
 * @package AMP
 */

/**
 * Context.
 *
 * @var AMP_Post_Template $this
 */
?>

<?php
$copyright_text = qoxag_option('amp_footer_copyright', 'Copyright &copy; 2021 qoxag. All Right Reserved.'); 
$back_to_top = qoxag_option('amp_back_to_top', 'yes');

?>

<?php if(defined( 'DEVM' )): ?>
	<?php if( is_active_sidebar('footer-bottom-center') || is_active_sidebar('footer-left') || is_active_sidebar('footer-center') || is_active_sidebar('footer-right') || is_active_sidebar('footer-bottom-left') ): ?> 
		<footer class="ts-footer">
			<div class="container">				
				<?php if( is_active_sidebar('footer-left') || is_active_sidebar('footer-center') || is_active_sidebar('footer-right') ): ?>
					<div class="col-4">
						<?php  dynamic_sidebar( 'footer-left' ); ?>
					</div>
					<div class="col-4">
						<?php  dynamic_sidebar( 'footer-center' ); ?>
					</div>
					<div class="col-4">
						<?php  dynamic_sidebar( 'footer-right' ); ?>
					</div>				
				<?php endif; ?>  
			</div>				
		</footer>
	<?php endif; ?>   
<?php endif; ?>

<footer class="amp-wp-footer">
	<div class="amp-footer-container">
		<div class="copyright-text">
			<?php		
			echo qoxag_kses($copyright_text);  
			?>
		</div>
		<div class="top-up-btn">
			<!-- end footer -->
			<?php if($back_to_top=="yes"): ?>
				<a href="#" aria-hidden="true" title="<?php echo esc_attr__('Back to top', 'qoxag'); ?>"><i class="xts-icon xts-arrow-up"></i></a>
			<?php endif; ?>
		</div>
	</div>	
</footer>

